# Ipopt::FileJournal Class Reference

FileJournal class. More...

`#include <IpJournalist.hpp>`

Inheritance diagram for Ipopt::FileJournal:
[legend]

List of all members.

## Public Member Functions
| FileJournal (const std::string &name, EJournalLevel default_level)
| Constructor.
virtual | ~FileJournal ()
| Destructor.
virtual bool | Open (const char *fname)
| Open a new file for the output location.
## Protected Member Functions
Implementation version of Print methods - Overloaded from
Journal base class.
virtual void | PrintImpl (EJournalCategory category, EJournalLevel level, const char *str)
| Print to the designated output location.
virtual void | PrintfImpl (EJournalCategory category, EJournalLevel level, const char *pformat, va_list ap)
| Printf to the designated output location.
virtual void | FlushBufferImpl ()
| Flush output buffer.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| FileJournal ()
| Default Constructor.
| FileJournal (const FileJournal &)
| Copy Constructor.
void | operator= (const FileJournal &)
| Overloaded Equals Operator.
## Private Attributes
FILE * | file_
| FILE pointer for the output destination.

## Detailed Description

FileJournal class.

This is a particular Journal implementation that writes to a file for output. It can write to (stdout, stderr, or disk) by using "stdout" and "stderr" as filenames.

Definition at line 379 of file IpJournalist.hpp.

## Constructor & Destructor Documentation

Ipopt::FileJournal::FileJournal | ( | const std::string & | name,
|  | EJournalLevel | default_level |
| ) |  |  |

Constructor.

virtual Ipopt::FileJournal::~FileJournal | ( |  | ) | `[virtual]`

Destructor.

Ipopt::FileJournal::FileJournal | ( |  | ) | `[private]`

Default Constructor.

Ipopt::FileJournal::FileJournal | ( | const FileJournal & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::FileJournal::Open | ( | const char * | fname | ) | `[virtual]`

Open a new file for the output location.

Special Names: stdout means stdout, : stderr means stderr.

Return code is false only if the file with the given name could not be opened.

virtual void Ipopt::FileJournal::PrintImpl | ( | EJournalCategory | category,
|  | EJournalLevel | level,
|  | const char * | str |
| ) |  |  | `[protected, virtual]`

Print to the designated output location.

Implements Ipopt::Journal.

virtual void Ipopt::FileJournal::PrintfImpl | ( | EJournalCategory | category,
|  | EJournalLevel | level,
|  | const char * | pformat,
|  | va_list | ap |
| ) |  |  | `[protected, virtual]`

Printf to the designated output location.

Implements Ipopt::Journal.

virtual void Ipopt::FileJournal::FlushBufferImpl | ( |  | ) | `[protected, virtual]`

Flush output buffer.

Implements Ipopt::Journal.

void Ipopt::FileJournal::operator= | ( | const FileJournal & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::Journal.

## Member Data Documentation

FILE* Ipopt::FileJournal::file_`[private]`

FILE pointer for the output destination.

Definition at line 434 of file IpJournalist.hpp.

The documentation for this class was generated from the following file:

- src/Common/IpJournalist.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines